Crystal Space: iGenericRenderStep Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGenericRenderStep Struct Reference
[Renderloops & Rendersteps]

A generic render step. More...

`#include <iengine/rendersteps/igeneric.h>`

Inheritance diagram for iGenericRenderStep:

[legend]
List of all members.

## Public Member Functions
virtual void | AddDisableDefaultTriggerType (const char *type)=0
| Add a shader type that, when present on a material, prevents the "use default shader" logic to not kick in.
virtual iShader * | GetDefaultShader () const =0
| Get the default shader.
virtual bool | GetPortalTraversal () const =0
| Get portal traversal flag.
virtual const char * | GetShaderType ()=0
| Get shader type.
virtual csZBufMode | GetZBufMode () const =0
| Get Z buffer mode.
virtual bool | GetZOffset () const =0
| Get Z offset flag.
virtual void | RemoveDisableDefaultTriggerType (const char *type)=0
| Remove a shader type that prevents default shader usage.
virtual void | SetDefaultShader (iShader *shader)=0
| Set the default shader that is used if a material doesn't provide one for the shader type of this step.
virtual void | SetPortalTraversal (bool p)=0
| Enable/disable portal traversal for this renderstep.
virtual void | SetShaderType (const char *type)=0
| Set shader type.
virtual void | SetZBufMode (csZBufMode zmode)=0
| Set Z buffer mode.
virtual void | SetZOffset (bool zOffset)=0
| Set Z offset flag.

## Detailed Description

A generic render step.

Definition at line 39 of file igeneric.h.

## Member Function Documentation

virtual void iGenericRenderStep::AddDisableDefaultTriggerType | ( | const char * | type | ) | `[pure virtual]`

Add a shader type that, when present on a material, prevents the "use default shader" logic to not kick in.

virtual iShader* iGenericRenderStep::GetDefaultShader | ( |  | ) | const`[pure virtual]`

Get the default shader.

virtual bool iGenericRenderStep::GetPortalTraversal | ( |  | ) | const`[pure virtual]`

Get portal traversal flag.

virtual const char* iGenericRenderStep::GetShaderType | ( |  | ) | `[pure virtual]`

Get shader type.

virtual csZBufMode iGenericRenderStep::GetZBufMode | ( |  | ) | const`[pure virtual]`

Get Z buffer mode.

virtual bool iGenericRenderStep::GetZOffset | ( |  | ) | const`[pure virtual]`

Get Z offset flag.

virtual void iGenericRenderStep::RemoveDisableDefaultTriggerType | ( | const char * | type | ) | `[pure virtual]`

Remove a shader type that prevents default shader usage.

virtual void iGenericRenderStep::SetDefaultShader | ( | iShader * | shader | ) | `[pure virtual]`

Set the default shader that is used if a material doesn't provide one for the shader type of this step.

virtual void iGenericRenderStep::SetPortalTraversal | ( | bool | p | ) | `[pure virtual]`

Enable/disable portal traversal for this renderstep.

virtual void iGenericRenderStep::SetShaderType | ( | const char * | type | ) | `[pure virtual]`

Set shader type.

virtual void iGenericRenderStep::SetZBufMode | ( | csZBufMode | zmode | ) | `[pure virtual]`

Set Z buffer mode.

virtual void iGenericRenderStep::SetZOffset | ( | bool | zOffset | ) | `[pure virtual]`

Set Z offset flag.

The documentation for this struct was generated from the following file:

- iengine/rendersteps/igeneric.h